Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005787TestLinkRequirements Import - TL XML formatpublic2013-06-21 14:542013-09-08 17:55
Reporterjmocanada 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005787: Custom fields import via XML for Requirement Specification does not work
DescriptionThe import logic does not physically store the custom field values for the requirement specifications.
Steps To ReproduceThis was found while using my own XML file, but it can be reproduced as follows to show that it is not a problem with my XML file.

1. Define custom fields and assign them to the Requirement Specification
2. Create a requirement specification populating the custom fields created. The data will be viewable and stored.
3. Export the requirement specification as XML
4. Delete the requirement specification from Testlink
5. Import the requirement specification that was just exported as XML
6. Import will be successful, but the custom field data will not appear.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon devteam-provided-customFields-for-reqspec.xml [^] (1,597 bytes) 2013-06-22 08:16
xml file icon all-req-devteam.xml [^] (567 bytes) 2013-06-22 08:17

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019175)
fman (administrator)
2013-06-21 18:17
edited on: 2013-06-21 18:19

each time an import issue exists is mandatory that sample file will be provided in order to reproduce with same conditions.
Without this info issue can not be candidate to be assigned.

Please provide also XML export of custom fields definitions, again in order to use same scenario


NOTE about monitoring issues:
Mantis notifies issue reporter, then you do not need to add yourself to people monitoring issue

(0019184)
fman (administrator)
2013-06-22 09:53

http://gitorious.org/testlink-ga/testlink-code/commit/8444e8accdfe8f677d1c888f59c4a25cd0e0bf14 [^]
(0019552)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-06-21 14:54 jmocanada New Issue
2013-06-21 18:17 fman Note Added: 0019175
2013-06-21 18:18 fman Note Edited: 0019175 View Revisions
2013-06-21 18:18 fman Status new => feedback
2013-06-21 18:19 fman Note Edited: 0019175 View Revisions
2013-06-22 08:16 fman File Added: devteam-provided-customFields-for-reqspec.xml
2013-06-22 08:17 fman File Added: all-req-devteam.xml
2013-06-22 09:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-06-22 09:53 fman Note Added: 0019184
2013-06-22 09:53 fman Status feedback => resolved
2013-06-22 09:53 fman Resolution open => fixed
2013-06-22 09:53 fman Assigned To => fman
2013-06-22 09:53 fman Relationship added child of 0005731
2013-06-22 09:54 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-09-08 17:55 fman Note Added: 0019552
2013-09-08 17:55 fman Status resolved => closed
2013-11-24 18:50 fman Category Import Requirements - XML format => Requirements Import - TL XML format



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker